/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';
.only-gesamtsummen-tabels-switch {
  margin: 10px 0 24px 0;
  display: flex;
  align-items: center;
  & .switch-component {
    margin-right: 10px;
  }
}

.section-widget {
  .title {
    padding: 24px 0;
    display: flex;
    border-top: 1px solid @platform-blue12;
    span {
      font-weight: 500;
      flex-grow: 1;
    }
    a {
      color: @platfrom-blue1;
      font-size: 1.4rem;
      &:hover,
      &:focus {
        color: white;
      }
    }
    &.jahreswirkung {
      border: 0;
      padding: 24px 0 0;
    }
  }
  .summary-box {
    padding: 24px 0;
    overflow: hidden;
    border-top: 1px solid @platform-blue12;
    a {
      color: @platfrom-blue1;
      font-size: 1.4rem;
      float: right;
      margin-left: 20px;
      &:hover,
      &:focus {
        color: white;
      }
    }
    p {
      overflow: hidden;
    }
  }
  .summary-text {
    font-size: 1.6rem;
  }
}
.widget-table-title {
  width: 990px;
  display: flex;
  border-bottom: 1px solid @platform-blue12;
  margin: 24px 0;
  padding: 10px 0;
  h3 {
    font-weight: 500;
    flex-grow: 1;
    margin: 0 !important;
  }
  a {
    color: @platfrom-blue1;
    font-size: 1.4rem;
    &:hover,
    &:focus {
      color: white;
    }
  }
}

.vorblatt-title {
  border-bottom: 1px solid @platform-blue12;
  padding: 10px;
  width: 990px;
}
.vorblatt-divider {
  border-bottom: 1px solid @platform-blue12;
  margin: 70px 0;
}
